ghc-mod-5.7.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.Lint

Synopsis

- lint :: IOish m => LintOpts -> FilePath -> GhcModT m String

# Documentation

lint #

Arguments

:: IOish m |
=> LintOpts | Configuration parameters
-> FilePath | A target file.
-> GhcModT m String |

Checking syntax of a target file using hlint. Warnings and errors are returned.